/********************************************************************************
 *   dbgreader -- system debug output reader for Windows CE                     *
 *                                                                              * 
 *   Copyright (C) 2004-2007 dci (dev@cpp.in)                                   *
 *                                                                              *
 *   This program is free software; you can redistribute it and/or              *
 *   modify it under the terms of the GNU General Public License version 2      *
 *   as published by the Free Software Foundation.                              *
 *                                                                              *
 *   This program is distributed in the hope that it will be useful,            *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          *
 *   General Public License version 2 for more details.                         *
 *                                                                              *
 *   You should have received a copy of the GNU General Public License          *
 *   version 2 along with this library; if not, write to the Free Software      *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 ********************************************************************************
 */


#ifndef DBGREADER_H
#define DBGREADER_H

#define IOCTL_DBGSERVER_TEST		0x11
#define IOCTL_DBGSERVER_STATE_GET	0x21
#define IOCTL_DBGSERVER_STATE_SET	0x22
#define IOCTL_DBGSERVER_MSG_LAST	0x31
#define IOCTL_DBGSERVER_MSG_READ	0x32

#define HS_DISABLE					0x00
#define HS_ENABLE					0x01

typedef struct msginfo_tag
{
	unsigned long dwProcessId;
	unsigned long dwThreadId;
}
msginfo_t;

#endif